Name:          libcacard
Version:       2.7.0
Release:       1mamba
Summary:       CAC (Common Access Card) library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.spice-space.org/page/Libcacard
Source:        http://www.spice-space.org/download/libcacard/libcacard-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
BuildRequires: libnspr-devel
BuildRequires: libnss-devel
BuildRequires: libpcre-devel
BuildRequires: libpcsclite-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
CAC (Common Access Card) library
This library provides emulation of smart cards to a virtual card reader running in a guest virtual machine.
It implements DoD CAC standard with separate pki containers (compatible coolkey), using certificates read from NSS.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Security
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libcacard.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/cacard
%{_includedir}/cacard/*.h
%{_libdir}/libcacard.la
%{_libdir}/libcacard.so
%{_libdir}/pkgconfig/libcacard.pc
%doc ChangeLog NEWS README.md

#%files tools
#%defattr(-,root,root)
#%{_bindir}/vscclient

%changelog
* Mon Aug 19 2019 Automatic Build System <autodist@mambasoft.it> 2.7.0-1mamba
- automatic version update by autodist

* Wed Sep 05 2018 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic version update by autodist

* Mon Mar 06 2017 Automatic Build System <autodist@mambasoft.it> 2.5.3-1mamba
- automatic version update by autodist

* Fri Oct 28 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.2-1mamba
- package created using the webbuild interface
